#include <bits/stdc++.h>
using namespace std;
int main()
{
	string s;
	cin>>s;
	int a,x,y,t;
	cin>>a;
	for(int i=0;i<a;++i)
	{
		cin>>x>>y;
		t=1;
		for(int j=x-1;j<y-1;++j)
		{
			if(int(s[j])>int(s[j+1]))t++;
		}
		cout<<t<<endl;
	}
}